RangeIntersectionIterator.Strategy (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.utils

## Enum RangeIntersectionIterator.Strategy

- java.lang.Object
- - java.lang.Enum<RangeIntersectionIterator.Strategy>
  - - org.apache.cassandra.index.sasi.utils.RangeIntersectionIterator.Strategy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RangeIntersectionIterator.Strategy>
  Enclosing class:
    RangeIntersectionIterator

      protected static enum RangeIntersectionIterator.Strategy
      extends java.lang.Enum<RangeIntersectionIterator.Strategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADAPTIVE`
    `BOUNCE`
    `LOOKUP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RangeIntersectionIterator.Strategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RangeIntersectionIterator.Strategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOUNCE

          public static final RangeIntersectionIterator.Strategy BOUNCE

    - #### LOOKUP

          public static final RangeIntersectionIterator.Strategy LOOKUP

    - #### ADAPTIVE

          public static final RangeIntersectionIterator.Strategy ADAPTIVE

  - ### Method Detail

    - #### values

          public static RangeIntersectionIterator.Strategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RangeIntersectionIterator.Strategy c : RangeIntersectionIterator.Strategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RangeIntersectionIterator.Strategy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation